echo off

del A2I\out\*.* /q
del A2P\out\*.* /q
del P2A\out\*.* /q
echo on
dir A2I\out\*.* /b
dir A2P\out\*.* /b
dir P2A\out\*.* /b
echo off


cd A2I
call test_A2I
if not %errorlevel%==0 (
	echo A2I failed
	goto quit
)
cd..

cd A2P
call test_A2P
if not %errorlevel%==0 (
	echo A2P failed
	goto quit
)
cd..

cd P2A
call test_P2A
if not %errorlevel%==0 (
	echo P2A failed
	goto quit
)
cd..

echo .
echo all passed :-)
echo .

dir A2I\out\*.* /b
dir A2P\out\*.* /b
dir P2A\out\*.* /b

echo .

pause


:quit
